# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "aws_ssh/version"
require "aws_ssh/cmds"

Gem::Specification.new do |spec|
  spec.name = "aws_ssh"
  spec.version = AWS_SSH::VERSION
  spec.authors = ["Charles Marshall"]
  spec.email = ["cm56marshall@gmail.com"]
  spec.summary = %q{ Autogenerates an SSH config file built from and AWS environment }
  spec.description = %q{ Autogenerates an SSH config file built from and AWS environment }
  spec.homepage = "https://github.com/charlesmarshall/aws_ssh"
  spec.license = "MIT"
  spec.files = `git ls-files -z`.split("\x0")
  spec.executables = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  spec.required_ruby_version = '>= 2.0.0'

  spec.add_dependency "colorize", "~> 0.7"
  spec.add_dependency "bundler", "~> 1.5"
  spec.add_dependency "json", "~> 1.8"
  spec.add_dependency "aws-sdk", "~> 1.5"

  spec.post_install_message = "Gem installed.\nTo configure for use, run: #{AWS_SSH::SETUP_CMD}\nBefore removing gem, run: #{AWS_SSH::TEARDOWN_CMD}\n\nThank you!"

end